import { workspaces } from '@angular-devkit/core';
import { Tree } from '@angular-devkit/schematics';
/**
 * Returns the workspace host and project config (angular.json).
 */
export declare function getWorkspace(tree: Tree): Promise<{
    host: workspaces.WorkspaceHost;
    workspace: workspaces.WorkspaceDefinition;
}>;
export declare function getProject(workspace: workspaces.WorkspaceDefinition, projectName: string): Promise<{
    project: workspaces.ProjectDefinition;
    projectName: string;
}>;
